%define name    gecko-sharp
%define version 0.6
%define release %mkrel 8
%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif

Summary:       Gecko-sharp is a C# language binding for the gtkembedmoz widget
Name:          %{name}
Version:       %{version}
Release:       %{release}
Source:        http://go-mono.com/archive/1.0.3/%{name}-%{version}.tar.bz2
URL:           http://www.go-mono.com
License:       LGPL/MPL
Group:         System/Libraries
Provides:      gtkmozembed-sharp == %{version}
Requires:      mono >= 0.95
Requires:      gtk-sharp >= 0.93
Requires:      libmozilla-firefox
BuildRequires: gtk2-devel
BuildRequires: gtk-sharp-devel
BuildArch: noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

%description 
Gecko-sharp is a C# language binding for the gtkembedmoz widget. You
can use it to embed mozilla into C# programs.

%prep
%setup -q

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib
%make

%install
%makeinstall_std pkgconfigdir=%pkgconfigdir
rm -f %buildroot%_bindir/webshot
rm -f %buildroot%_prefix/lib/gecko-sharp/WebThumbnailer.exe

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ChangeLog COPYING README sample
%{_prefix}/lib/mono/gac/*
%{_prefix}/lib/mono/gecko-sharp
%{_prefix}/lib/gecko-sharp
%{pkgconfigdir}/*


%changelog
* Wed Aug 30 2006 Gtz Waschk <waschk@mandriva.org> 0.6-8mdv2007.0
- fix deps

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 0.6-7mdk
- fix pkgconfig location

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-6mdk
- remove file conflicting with gecko-sharp2

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-5mdk 
- Rebuild with firefox 1.0.2

* Sat Feb 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-4mdk
- depend on firefox instead of mozilla

* Wed Jan  5 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-3mdk
- rebuild

* Sun Nov 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- rebuild for new mozilla

* Sat Oct 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- noarch package
- New release 0.6

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- rebuild for new rpm

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- update file list
- fix autoconf macro
- fix description
- enable parallel build
- new version

* Fri Jun 04 2004 Marcel Pol <mpol@mandrake.org> 0.4-2mdk
- buildrequires (slbd)

* Thu Jun 3 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-1mdk
- First rpm for mandrake
